メインコンテンツへスキップ
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
identity
Create a new Identity
curl --request POST \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "employeeStatus": "active",
  "employeeType": "full_time_employee",
  "firstName": "First Name",
  "lastName": "Last Name",
  "managementType": "managed",
  "displayName": "Display Name",
  "primaryEmail": "primay@email.com",
  "secondaryEmails": [
    "secondary+1@email.com",
    "secondary+2@email.com"
  ],
  "companyName": "company name",
  "workLocation": "work location",
  "department": {
    "name": "department name"
  },
  "jobTitle": "CTO",
  "employeeId": "EMP12345",
  "lifecycle": {
    "contractStartAt": "2021-01-01",
    "contractEndAt": "2021-01-02",
    "suspensionStartAt": "2021-01-01",
    "suspensionEndAt": "2021-01-03"
  },
  "note": "this is a note",
  "customFields": {
    "custom_text_field": "foo",
    "custom_date_field": "2024-01-01",
    "custom_number_field": 123,
    "custom_dropdown_field": "Option Displayed Value A"
  },
  "manager": {
    "id": "<string>"
  }
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity"

payload = {
"employeeStatus": "active",
"employeeType": "full_time_employee",
"firstName": "First Name",
"lastName": "Last Name",
"managementType": "managed",
"displayName": "Display Name",
"primaryEmail": "primay@email.com",
"secondaryEmails": ["secondary+1@email.com", "secondary+2@email.com"],
"companyName": "company name",
"workLocation": "work location",
"department": { "name": "department name" },
"jobTitle": "CTO",
"employeeId": "EMP12345",
"lifecycle": {
"contractStartAt": "2021-01-01",
"contractEndAt": "2021-01-02",
"suspensionStartAt": "2021-01-01",
"suspensionEndAt": "2021-01-03"
},
"note": "this is a note",
"customFields": {
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A"
},
"manager": { "id": "<string>" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
employeeStatus: 'active',
employeeType: 'full_time_employee',
firstName: 'First Name',
lastName: 'Last Name',
managementType: 'managed',
displayName: 'Display Name',
primaryEmail: 'primay@email.com',
secondaryEmails: ['secondary+1@email.com', 'secondary+2@email.com'],
companyName: 'company name',
workLocation: 'work location',
department: {name: 'department name'},
jobTitle: 'CTO',
employeeId: 'EMP12345',
lifecycle: {
contractStartAt: '2021-01-01',
contractEndAt: '2021-01-02',
suspensionStartAt: '2021-01-01',
suspensionEndAt: '2021-01-03'
},
note: 'this is a note',
customFields: {
custom_text_field: 'foo',
custom_date_field: '2024-01-01',
custom_number_field: 123,
custom_dropdown_field: 'Option Displayed Value A'
},
manager: {id: '<string>'}
})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/identity', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "employeeStatus": "active",
  "employeeType": "full_time_employee",
  "firstName": "First Name",
  "lastName": "Last Name",
  "id": "<string>",
  "organizationId": 123,
  "peopleId": "<string>",
  "managementType": "managed",
  "displayName": "Display Name",
  "avatar": "<string>",
  "primaryEmail": "primay@email.com",
  "secondaryEmails": [
    "secondary+1@email.com",
    "secondary+2@email.com"
  ],
  "companyName": "company name",
  "workLocation": "work location",
  "department": {
    "name": "department name"
  },
  "serviceCount": 123,
  "deviceCount": 123,
  "costs": [
    {
      "amount": 100,
      "currency": "usd"
    }
  ],
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z",
  "isManager": true,
  "isMock": true,
  "isEmailEditable": true,
  "hasPresetFieldsUnlinked": true,
  "jobTitle": "CTO",
  "employeeId": "EMP12345",
  "lifecycle": {
    "contractStartAt": "2021-01-01",
    "contractEndAt": "2021-01-02",
    "suspensionStartAt": "2021-01-01",
    "suspensionEndAt": "2021-01-03"
  },
  "manager": {
    "id": "<string>",
    "displayName": "<string>",
    "people": {
      "id": 1,
      "identityId": "I3N5HB4B3G",
      "primaryEmail": "foo@gmail.com",
      "displayName": "Yamaha Honda",
      "avatar": "avatar_url",
      "username": "foo",
      "status": "suspended",
      "type": "employee"
    }
  },
  "note": "this is a note",
  "profileUrl": "https://workspace.url/employee/12345",
  "customFields": {
    "custom_text_field": "foo",
    "custom_date_field": "2024-01-01",
    "custom_number_field": 123,
    "custom_dropdown_field": "Option Displayed Value A"
  },
  "customFieldsWithMetadata": [
    {
      "id": 1,
      "attributeCode": "custom_text_field",
      "attributeName": "Text field",
      "value": "foo"
    },
    {
      "id": 2,
      "attributeCode": "custom_date_field",
      "attributeName": "Date field",
      "value": "2024-01-01"
    },
    {
      "id": 3,
      "attributeCode": "custom_number_field",
      "attributeName": "Number field",
      "value": 123
    },
    {
      "id": 4,
      "attributeCode": "custom_dropdown_field",
      "attributeName": "Dropdown field",
      "value": "Option Displayed Value A"
    }
  ],
  "structuresInfo": {
    "companies": [
      {
        "id": 1,
        "name": "name"
      }
    ],
    "departments": [
      {
        "id": 1,
        "name": "name"
      }
    ],
    "locations": [
      {
        "id": 1,
        "name": "name"
      }
    ],
    "managers": [
      {
        "id": "<string>",
        "displayName": "<string>",
        "primaryEmail": "<string>",
        "avatar": "<string>"
      }
    ]
  }
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

ボディ

application/json
employeeStatus
enum<string>
必須

Extended status of the employee

利用可能なオプション:
active,
on_leave,
draft,
preactive,
retired,
untracked,
archived
:

"active"

employeeType
enum<string>
必須

Type of the employee

利用可能なオプション:
board_member,
full_time_employee,
fixed_time_employee,
temporary_employee,
part_time_employee,
secondment_employee,
contract_employee,
collaborator,
group_address,
shared_address,
test_address,
other,
unknown,
unregistered
:

"full_time_employee"

firstName
string | null
必須

First name of the employee

:

"First Name"

lastName
string | null
必須

Last name of the employee

:

"Last Name"

managementType
enum<string> | null

Management type of the employee

利用可能なオプション:
managed,
external,
system,
unknown,
unregistered
:

"managed"

displayName
string | null

Display name of the employee

:

"Display Name"

primaryEmail
string | null

Primary email of the employee

:

"primay@email.com"

secondaryEmails
string[] | null

Secondary emails of the employee

:
[
"secondary+1@email.com",
"secondary+2@email.com"
]
companyName
string | null

Company name of the employee

:

"company name"

workLocation
string | null

Work location of the employee

:

"work location"

department
object | null

Department of the employee

jobTitle
string | null

Job title of the employee

:

"CTO"

employeeId
string | null

Employee ID of the employee

:

"EMP12345"

lifecycle
object

Lifecycle of the employee

note
string | null

Notes of the employee

:

"this is a note"

customFields
object

Custom fields of the employee

:
{
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A"
}
manager
object

Manager of the employee

レスポンス

employeeStatus
enum<string>
必須

Extended status of the employee

利用可能なオプション:
active,
on_leave,
draft,
preactive,
retired,
untracked,
archived
:

"active"

employeeType
enum<string>
必須

Type of the employee

利用可能なオプション:
board_member,
full_time_employee,
fixed_time_employee,
temporary_employee,
part_time_employee,
secondment_employee,
contract_employee,
collaborator,
group_address,
shared_address,
test_address,
other,
unknown,
unregistered
:

"full_time_employee"

firstName
string | null
必須

First name of the employee

:

"First Name"

lastName
string | null
必須

Last name of the employee

:

"Last Name"

id
string

ID of the employee

organizationId
number

ID of the organization

peopleId
string

ID of the people

managementType
enum<string> | null

Management type of the employee

利用可能なオプション:
managed,
external,
system,
unknown,
unregistered
:

"managed"

displayName
string | null

Display name of the employee

:

"Display Name"

avatar
string | null

URL of the avatar of the employee

primaryEmail
string | null

Primary email of the employee

:

"primay@email.com"

secondaryEmails
string[] | null

Secondary emails of the employee

:
[
"secondary+1@email.com",
"secondary+2@email.com"
]
companyName
string | null

Company name of the employee

:

"company name"

workLocation
string | null

Work location of the employee

:

"work location"

department
object | null

Department of the employee

serviceCount
number | null

Number of services the employee has

deviceCount
number | null

Number of devices the employee has

costs
object[] | null

Costs of the employee

createdAt
string<date-time> | null

Record created at

updatedAt
string<date-time> | null

Record updated at

isManager
boolean | null

Is the employee a manager

isMock
boolean

Indicates if the identity is a mock

isEmailEditable
boolean | null

Indicates if the email of the identity is editable

hasPresetFieldsUnlinked
boolean | null

Indicates if the unlink preset fields is enabled

jobTitle
string | null

Job title of the employee

:

"CTO"

employeeId
string | null

Employee ID of the employee

:

"EMP12345"

lifecycle
object

Lifecycle of the employee

manager
object

Manager of the employee

note
string | null

Notes of the employee

:

"this is a note"

profileUrl
string<uri> | null

URL of the profile of the employee

:

"https://workspace.url/employee/12345"

customFields
object

Custom fields of the employee

:
{
"custom_text_field": "foo",
"custom_date_field": "2024-01-01",
"custom_number_field": 123,
"custom_dropdown_field": "Option Displayed Value A"
}
customFieldsWithMetadata
object[]

Custom fields with metadata including ID, uniqueName, and label

:
[
{
"id": 1,
"attributeCode": "custom_text_field",
"attributeName": "Text field",
"value": "foo"
},
{
"id": 2,
"attributeCode": "custom_date_field",
"attributeName": "Date field",
"value": "2024-01-01"
},
{
"id": 3,
"attributeCode": "custom_number_field",
"attributeName": "Number field",
"value": 123
},
{
"id": 4,
"attributeCode": "custom_dropdown_field",
"attributeName": "Dropdown field",
"value": "Option Displayed Value A"
}
]
structuresInfo
object

Structures that the identity is a member of, categorized by type

最終更新日 2026年7月14日